<?xml version="1.0" encoding="utf-8"?>
<!--
 * Scilab ( https://www.scilab.org/ ) - This file is part of Scilab
 * Copyright (C) 2009  - DIGITEO - Antoine ELIAS
 *
 * Copyright (C) 2012 - 2016 - Scilab Enterprises
 *
 * This file is hereby licensed under the terms of the GNU GPL v2.0,
 * pursuant to article 5.3.4 of the CeCILL v.2.1.
 * This file was originally licensed under the terms of the CeCILL v2.1,
 * and continues to be available under such terms.
 * For more information, see the COPYING file which you should have received
 * along with this program.
 *
 -->
<refentry xmlns="http://docbook.org/ns/docbook" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:svg="http://www.w3.org/2000/svg" xmlns:ns5="http://www.w3.org/1999/xhtml" xmlns:mml="http://www.w3.org/1998/Math/MathML" xmlns:db="http://docbook.org/ns/docbook" xmlns:scilab="http://www.scilab.org" xml:id="createScalarInteger8" xml:lang="ja">
    <refnamediv>
        <refname>createScalarInteger8</refname>
        <refpurpose>
            スカラー整数変数を作成する.
        </refpurpose>
    </refnamediv>
    <refsynopsisdiv>
        <title>呼び出し手順</title>
        <synopsis>int createScalarInteger8(void* _pvCtx, int _iVar, char cData)</synopsis>
        <synopsis>int createNamedScalarInteger8(void* _pvCtx, const char* _pstName, char _cData)</synopsis>
        <synopsis>int createScalarInteger16(void* _pvCtx, int _iVar, short sData)</synopsis>
        <synopsis>int createNamedScalarInteger16(void* _pvCtx, const char* _pstName, short _sData)</synopsis>
        <synopsis>int createScalarInteger32(void* _pvCtx, int _iVar, int iData)</synopsis>
        <synopsis>int createNamedScalarInteger32(void* _pvCtx, const char* _pstName, int _iData)</synopsis>
        <synopsis>int createScalarUnsignedInteger8(void* _pvCtx, int _iVar, unsigned char ucData)</synopsis>
        <synopsis>int createNamedScalarUnsignedInteger8(void* _pvCtx, const char* _pstName, unsigned char _ucData)</synopsis>
        <synopsis>int createScalarUnsignedInteger16(void* _pvCtx, int _iVar, unsigned short usData)</synopsis>
        <synopsis>int createNamedScalarUnsignedInteger16(void* _pvCtx, const char* _pstName, unsigned short _usData)</synopsis>
        <synopsis>int createScalarUnsignedInteger32(void* _pvCtx, int _iVar, unsigned int uiData)</synopsis>
        <synopsis>int createNamedScalarUnsignedInteger32(void* _pvCtx, const char* _pstName, unsigned int _uiData)</synopsis>
    </refsynopsisdiv>
    <refsection>
        <title>引数</title>
        <variablelist>
            <varlistentry>
                <term>_pvCtx</term>
                <listitem>
                    <para>
                        Scilab環境ポインタ, api_scilab.hで提供される"pvApiCtx"を指定.
                    </para>
                </listitem>
            </varlistentry>
            <varlistentry>
                <term>_iVar</term>
                <listitem>
                    <para>
                        変数を保存するScilabメモリの位置.
                    </para>
                </listitem>
            </varlistentry>
            <varlistentry>
                <term>_pstName</term>
                <listitem>
                    <para>
                        "名前指定" 関数の場合の変数名.
                    </para>
                </listitem>
            </varlistentry>
            <varlistentry>
                <term>_cData</term>
                <listitem>
                    <para>
                        8ビット整数値.
                    </para>
                </listitem>
            </varlistentry>
            <varlistentry>
                <term>_sData</term>
                <listitem>
                    <para>
                        16ビット整数値.
                    </para>
                </listitem>
            </varlistentry>
            <varlistentry>
                <term>_iData</term>
                <listitem>
                    <para>
                        32ビット整数値.
                    </para>
                </listitem>
            </varlistentry>
            <varlistentry>
                <term>_ucData</term>
                <listitem>
                    <para>
                        符号無し8ビット整数値.
                    </para>
                </listitem>
            </varlistentry>
            <varlistentry>
                <term>_usData</term>
                <listitem>
                    <para>
                        符号無し16ビット整数値.
                    </para>
                </listitem>
            </varlistentry>
            <varlistentry>
                <term>_uiData</term>
                <listitem>
                    <para>
                        符号無し32ビット整数値.
                    </para>
                </listitem>
            </varlistentry>
        </variablelist>
    </refsection>
    <refsection>
        <title>戻り値</title>
        <para>
            成功した場合は 0, それ以外はScilabコンソールにエラーメッセージを表示し,
            最初のエラー番号を返します.
        </para>
    </refsection>
</refentry>
